org.eclipse.jetty.webapp

## Class StandardDescriptorProcessor

- java.lang.Object
- - org.eclipse.jetty.webapp.IterativeDescriptorProcessor
  - - org.eclipse.jetty.webapp.StandardDescriptorProcessor

- All Implemented Interfaces:
    DescriptorProcessor

      public class StandardDescriptorProcessor
      extends IterativeDescriptorProcessor

  StandardDescriptorProcessor Process a web.xml, web-defaults.xml, web-overrides.xml, web-fragment.xml.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STANDARD_PROCESSOR`

    - ### Fields inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor

      `__signature, _visitors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardDescriptorProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFilterMapping(String filterName, XmlParser.Node node, WebAppContext context)`
    `protected void` | `addServletMapping(String servletName, XmlParser.Node node, WebAppContext context)`
    `protected void` | `addWelcomeFiles(WebAppContext context, XmlParser.Node node)`
    `void` | `end(WebAppContext context, Descriptor descriptor)`
    `protected String` | `getSystemClassPath(WebAppContext context)` Generate the classpath (as a string) of all classloaders above the webapp's classloader.
    `protected EventListener` | `newListenerInstance(WebAppContext context, Class<? extends EventListener> clazz)`
    `protected String` | `normalizePattern(String p)`
    `void` | `start(WebAppContext context, Descriptor descriptor)`
    `void` | `visitContextParam(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitDisplayName(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitDistributable(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitErrorPage(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitFilter(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitFilterMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitJspConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitListener(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitLocaleEncodingList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitLoginConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitMimeMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitSecurityConstraint(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitSecurityRole(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitServlet(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitServletMapping(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitSessionConfig(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitTagLib(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`
    `protected void` | `visitWelcomeFileList(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

    - ### Methods inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor

      `process, registerVisitor, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_PROCESSOR

          public static final String STANDARD_PROCESSOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardDescriptorProcessor

          public StandardDescriptorProcessor()

  - ### Method Detail

    - #### start

          public void start(WebAppContext context,
                   Descriptor descriptor)

      Specified by:
        `start` in class `IterativeDescriptorProcessor`

    - #### end

          public void end(WebAppContext context,
                 Descriptor descriptor)

      Specified by:
        `end` in class `IterativeDescriptorProcessor`

    - #### visitContextParam

          public void visitContextParam(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitDisplayName

          protected void visitDisplayName(WebAppContext context,
                              Descriptor descriptor,
                              XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitServlet

          protected void visitServlet(WebAppContext context,
                          Descriptor descriptor,
                          XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitServletMapping

          protected void visitServletMapping(WebAppContext context,
                                 Descriptor descriptor,
                                 XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitSessionConfig

          protected void visitSessionConfig(WebAppContext context,
                                Descriptor descriptor,
                                XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitMimeMapping

          protected void visitMimeMapping(WebAppContext context,
                              Descriptor descriptor,
                              XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitWelcomeFileList

          protected void visitWelcomeFileList(WebAppContext context,
                                  Descriptor descriptor,
                                  XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitLocaleEncodingList

          protected void visitLocaleEncodingList(WebAppContext context,
                                     Descriptor descriptor,
                                     XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitErrorPage

          protected void visitErrorPage(WebAppContext context,
                            Descriptor descriptor,
                            XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### addWelcomeFiles

          protected void addWelcomeFiles(WebAppContext context,
                             XmlParser.Node node)

      Parameters:
        `context` -
        `node` -

    - #### addServletMapping

          protected void addServletMapping(String servletName,
                               XmlParser.Node node,
                               WebAppContext context)

      Parameters:
        `servletName` -
        `node` -
        `context` -

    - #### addFilterMapping

          protected void addFilterMapping(String filterName,
                              XmlParser.Node node,
                              WebAppContext context)

      Parameters:
        `filterName` -
        `node` -
        `context` -

    - #### visitTagLib

          protected void visitTagLib(WebAppContext context,
                         Descriptor descriptor,
                         XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitJspConfig

          protected void visitJspConfig(WebAppContext context,
                            Descriptor descriptor,
                            XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitSecurityConstraint

          protected void visitSecurityConstraint(WebAppContext context,
                                     Descriptor descriptor,
                                     XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitLoginConfig

          protected void visitLoginConfig(WebAppContext context,
                              Descriptor descriptor,
                              XmlParser.Node node)
                                   throws Exception

      Parameters:
        `context` -
        `descriptor` -
        `node` -
      Throws:
        `Exception`

    - #### visitSecurityRole

          protected void visitSecurityRole(WebAppContext context,
                               Descriptor descriptor,
                               XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitFilter

          protected void visitFilter(WebAppContext context,
                         Descriptor descriptor,
                         XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitFilterMapping

          protected void visitFilterMapping(WebAppContext context,
                                Descriptor descriptor,
                                XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitListener

          protected void visitListener(WebAppContext context,
                           Descriptor descriptor,
                           XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### visitDistributable

          protected void visitDistributable(WebAppContext context,
                                Descriptor descriptor,
                                XmlParser.Node node)

      Parameters:
        `context` -
        `descriptor` -
        `node` -

    - #### newListenerInstance

          protected EventListener newListenerInstance(WebAppContext context,
                                          Class<? extends EventListener> clazz)
                                               throws javax.servlet.ServletException,
                                                      InstantiationException,
                                                      IllegalAccessException

      Parameters:
        `context` -
        `clazz` -
      Returns:
        the new event listener
      Throws:
        `javax.servlet.ServletException`
        `InstantiationException`
        `IllegalAccessException`

    - #### normalizePattern

          protected String normalizePattern(String p)

      Parameters:
        `p` -
      Returns:
        the normalized pattern

    - #### getSystemClassPath

          protected String getSystemClassPath(WebAppContext context)

      Generate the classpath (as a string) of all classloaders above the webapp's classloader. This is primarily used for jasper.
      Returns:
        the system class path

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.